
# Check whether we can link against Rivet
#AC_TEST_RIVET(actionIfWorks, actionIfFails)
AC_DEFUN([AC_TEST_RIVET],[
oldLIBS="$LIBS"
oldLDFLAGS="$LDFLAGS"
oldCPPFLAGS="$CPPFLAGS"
LIBS="$LIBS -l$RIVETLIBNAME"
LDFLAGS="$LDFLAGS -L$RIVETLIBPATH"
CPPFLAGS="$CPPFLAGS -I$RIVETINCPATH"

AC_CHECK_HEADERS([Rivet/Analysis/RivetHandler.h Rivet/Analysis/Examples/TestMultiplicity.h])
AC_MSG_CHECKING([that Rivet works])
AC_TRY_LINK([#include "Rivet/Analysis/RivetHandler.h"
#include "Rivet/Analysis/Examples/TestMultiplicity.h"
namespace Rivet {}], 
[using namespace Rivet; 
RivetHandler rivet; 
rivet.addAnalysis(TestMultiplicity());
rivet.init(); ],
[AC_MSG_RESULT(yes)
$1],
[AC_MSG_RESULT([no]) 
AC_MSG_NOTICE([Rivet does not work])
LIBS="$oldLIBS"
LDFLAGS="$oldLDFLAGS"
CPPFLAGS="$oldCPPFLAGS"
$2])
])
